/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*global define*/

/**
 * App module.
 *
 * @module app
 * @requires {@link core/event}
 * @requires {@link views/initPage}
 * @requires {@link models/content}
 * @namespace app
 * @author Dominik Koleda <d.koleda@samsung.com>
 * @author Piotr Dabrowski <p.dabrowski2@samsung.com>
 * @author Kamil Stepczuk <k.stepczuk@samsung.com>
 */

define({
    name: 'app',
    requires: [
        'core/event',
        'views/initPage',
        'models/content'
    ],
    def: function appInit() {
        'use strict';

        /**
         * Initializes the app.
         *
         * @memberof app
         * @public
         */
        function init() {
            return;
        }

        return {
            init: init
        };
    }
});
